## com.fasterxml.jackson.databind.ser.impl
Class IteratorSerializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.ContainerSerializer<T>
                  com.fasterxml.jackson.databind.ser.std.AsArraySerializerBase<Iterator<?>>
                      com.fasterxml.jackson.databind.ser.impl.IteratorSerializer

All Implemented Interfaces:
  SchemaAware, ContextualSerializer

    public class IteratorSerializer

extends AsArraySerializerBase<Iterator<?>>

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.ser.std.AsArraySerializerBase
`_dynamicSerializers, _elementSerializer, _elementType, _property, _staticTyping, _valueTypeSerializer`

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`IteratorSerializer(IteratorSerializer src, BeanProperty property, TypeSerializer vts, JsonSerializer<?> valueSerializer)`
`IteratorSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property)`

Method Summary
`ContainerSerializer<?>` `_withValueTypeSerializer(TypeSerializer vts)` Method that needs to be implemented to allow construction of a new serializer object with given `TypeSerializer`, used when addition type information is to be embedded.
`boolean` `hasSingleElement(Iterator<?> value)` Method called to determine if the given value (of type handled by this serializer) contains exactly one element.
`boolean` `isEmpty(Iterator<?> value)` Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).
`void` `serializeContents(Iterator<?> value, JsonGenerator jgen, SerializerProvider provider)`
`IteratorSerializer` `withResolved(BeanProperty property, TypeSerializer vts, JsonSerializer<?> elementSerializer)`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.AsArraySerializerBase
`_findAndAddDynamic, _findAndAddDynamic, createContextual, getContentSerializer, getContentType, getSchema, serialize, serializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.ser.ContainerSerializer
`withValueTypeSerializer`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`isUnwrappingSerializer, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorSerializer

    public IteratorSerializer(JavaType elemType,
                              boolean staticTyping,
                              TypeSerializer vts,
                              BeanProperty property)

### IteratorSerializer

    public IteratorSerializer(IteratorSerializer src,
                              BeanProperty property,
                              TypeSerializer vts,
                              JsonSerializer<?> valueSerializer)

Method Detail

### isEmpty

    public boolean isEmpty(Iterator<?> value)

  Description copied from class: `JsonSerializer`
  Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

  Default implementation will consider only null values to be empty.

  Specified by:
    `isEmpty` in class `ContainerSerializer<Iterator<?>>`

### hasSingleElement

    public boolean hasSingleElement(Iterator<?> value)

  Description copied from class: `ContainerSerializer`
  Method called to determine if the given value (of type handled by this serializer) contains exactly one element.

  Note: although it might seem sensible to instead define something like "getElementCount()" method, this would not work well for containers that do not keep track of size (like linked lists may not).

  Specified by:
    `hasSingleElement` in class `ContainerSerializer<Iterator<?>>`

### _withValueTypeSerializer

    public ContainerSerializer<?> _withValueTypeSerializer(TypeSerializer vts)

  Description copied from class: `ContainerSerializer`
  Method that needs to be implemented to allow construction of a new serializer object with given `TypeSerializer`, used when addition type information is to be embedded.

  Specified by:
    `_withValueTypeSerializer` in class `ContainerSerializer<Iterator<?>>`

### withResolved

    public IteratorSerializer withResolved(BeanProperty property,
                                           TypeSerializer vts,
                                           JsonSerializer<?> elementSerializer)

  Specified by:
    `withResolved` in class `AsArraySerializerBase<Iterator<?>>`

### serializeContents

    public void serializeContents(Iterator<?> value,
                                  JsonGenerator jgen,
                                  SerializerProvider provider)
                           throws IOException,
                                  JsonGenerationException

  Specified by:
    `serializeContents` in class `AsArraySerializerBase<Iterator<?>>`
  Throws:
    `IOException`
    `JsonGenerationException`

Copyright © 2012 fasterxml.com. All Rights Reserved.